@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Poppins', sans-serif;
    color: #fff;
    font-style: none;
    list-style: none;
}

body {
    color: #fff;
    font-family: 'Poppins', sans-serif;
}



img {
    max-width: 100%;
    display: block;
}

.contenedor {
    position: relative;
    width: 100%;
    height: 100vh;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 5px;

}

.title {
    text-align: center;
    margin-bottom: 50px;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    font-size: 4em;
    font-weight: 800;
    font-stretch: condensed;
    font-style: italic;
    line-height: 1;
    margin-top: 0.8em;

}

.title2 {
    display: block;
    font-size: 64%;
}

.btn {
    position: relative;
    top: -1.5em;
    margin: 0 auto;
    display: block;
    max-width: 12em;
    width: 100%;
    font-size: 1.6em;
    padding: 0em 1em 0.7em;
    border-radius: 50px;
    box-shadow: 0 6px 5px rgba(0, 0, 0, .25);
    background: #ffbe06;
    transition: all .2s;
    border: none;
    cursor: pointer;

}

.btn:hover {
    transform: scale(1.1);
    transition: all .2s;
    filter: drop-shadow(15px 5px 5px rgba(0, 0, 0, .25));
    cursor: pointer;
    transition: all .2s;
}


.btn-text {
    text-align: center;
    text-decoration: none;
    color: #fff;
    font-family: 'poppins', sans-serif;
    font-weight: 900;
    font-style: italic;
}

.btn-text2 {
    display: block;
    line-height: 2px;
    font-size: 58%;
}

figure.card {
    position: relative;
    top: 0;
    margin: 0 auto;
    max-width: 20em
}

figure.card:hover {
    transform: scale(1.1);
    filter: drop-shadow(15px 5px 5px rgba(0, 0, 0, .25));
    cursor: pointer;
    animation: 2s temblor 1s infinite;
    transition: all .2s;
}

.benefits {
    position: relative;
    top: 0;
    max-width: 17em;
    margin: 0 auto;
    padding: 0 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    z-index: 1;
    width: 70%;
    margin: 0 auto;
}

.bf-fg {
    position: relative;
    max-width: 16em;
    width: 100%;
    margin: 0 auto 1.5em;
}

.bf-fg:hover {
    transform: scale(1.1);
    transition: all .2s;
    filter: drop-shadow(15px 5px 5px rgba(0, 0, 0, .25));
    cursor: pointer;
    
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(11, 3, 3, 0.5);
  }
  
  .modal-content {
    position: relative;
    top: 9em;
    background-color: #ffbe06;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    border-radius: 30px;
    width: 80%;
    max-width: 22em;
  }
  
  .close {
    color: #ffffff;
    float: right;
    font-size: 48px;
    font-weight: bold;
    cursor: pointer;
  }
  
  .close:hover,
  .close:focus {
    color: #332f2f;
    text-decoration: none;
    cursor: pointer;
    rotate: 180deg;
    transition: all .5s;
  }

  #modal-texto{
    color: #ffffff;
    text-decoration: none;
    font-size: .8em;
    width: 90%;
    margin: 0 auto;
  }

    #modal-titulo{
        color: #ffffff;
        text-decoration: none;
        font-size: 1.5em;
        text-align: center;
        width: 60%;
        margin: 0 auto;
        line-height: 1;
        margin-bottom: .5em;
    }
  

.ft {
    max-width: 30em;
    width: 100%;
    margin: 0 auto 3em;
    font-weight: 800;
    font-style: italic;
    text-align: center;
}

.ft-txt {
    font-size: 1.1em;
}

.ft-txt-sub {
    position: relative;
    top: 1em;
    font-size: .9em;
    font-weight: 600;
    padding: 0em 2px;

}

.ft-txt-2 {
    position: relative;
    top: 2em;
    font-size: 1.1em;
}

.ft-link a {
    position: relative;
    color: #ffbe06;
    text-decoration: none;
}

@media only screen and (min-width: 500px) {
    .benefits {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        flex-direction: row;
        align-items: baseline;
        max-width: 40em;
    }

    .bf-fg {
        width: 40%;
    }
}

@media only screen and (min-width: 760px) {

    .benefits .bf-fg:first-child,
    .benefits .bf-fg:nth-child(4) {
        top: -6em;
    }
}

@media only screen and (min-width: 760px) {
    .benefits {
        display: flex;
        flex-wrap: nowrap;
        justify-content: center;
        flex-direction: row;
        align-items: baseline;
        margin: 0 auto;
        max-width: 34em;
    }

    .bf-fg {
        width: 50%;
        margin-left: 25px;
    }
    figure.card{
        max-width: 18em;
        left: 1em;
    }
}

@media only screen and (min-width: 1200px) {
    .contenedor {
        top: 20em;
        max-width: 1200px;
    }

    .title {
        font-size: 5em;
    }

    .title2 {
        font-size: 60%;
    }

    figure.card {
        position: relative;
        top: -18em;
        left: 20em;
        max-width: 20em;
    }

    .btn {
        margin: 0 auto;
        max-width: 12em;
        width: 100%;
    }

    .btn-text {
        font-size: 1.8em;
    }

    .benefits {
        top: -12em;
        margin: 0 auto;
        max-width: 46em;
    }

    .ft {
        position: relative;
        top: -11em;
        max-width: 56em;
        margin: 0 auto;
    }

    .ft-txt {
        position: relative;
        top: 1em;
        font-size: 1.2em;
    }

    .ft-txt-sub,
    .ft-txt-2 {
        position: relative;
        top: .8em;
        margin-bottom: -.3em;
        font-size: .95em;
        font-weight: 500;
    }


    .ft-link a {
        font-size: 1.2em;
    }

}

h1.title {
    animation: .5s fadeIn 1s both;
}

.modal-content{
    animation: .3s fadeIn .3s both;
}

.btn{
    animation: 1s fadeInLeft 1s both
}

.bf-fg:nth-child(1){
    animation: 2.5s fadeIn 1.7s both
}

.bf-fg:nth-child(2){
    animation: 2s fadeIn 1.5s both
}

.bf-fg:nth-child(3){
    animation: 4s fadeIn 1s both
}

.bf-fg:nth-child(4){
    animation: 3s fadeIn 1s both
}

figure.card{
    animation: 2s temblor 1s both
}

.ft{
    animation: 1s fadeIn 1s both
}

img{
    animation: 1s fadeIn 1s both
}


@keyframes EaseUp {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }

    100% {
        transform: translateY(0);
    }

}

@keyframes temblor {
    0% {
        transform: rotate(0deg);
    }

    50% {
        transform: rotate(5deg);
    }

    70% {
        transform: rotate(-5deg);
    }

    100% {
        transform: translateX(0);
    }
    
}


@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translate3d(-100%, 0, 0)
    }

    to {
        opacity: 1 transform translate3d(0, 0, 0)
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translate3d(100%, 0, 0)
    }

    to {
        opacity: 1 transform translate3d(0, 0, 0)
    }
}

@keyframes fadeInDowm {
    from {
        opacity: 0;
        transform: translate3d(0, -100%, 0)
    }

    to {
        opacity: 1 transform translate3d(0, 0, 0)
    }
}
